Bug 4898 - support for x86_64
: support for x86_64
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/util-linux)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-07-26 19:17 by
Modified: 2005-06-03 17:37 (History)


Attachments
a few patches to get compiling on x86_64 (2.24 KB, application/octet-stream)
2004-07-26 19:18, Kachalov Anton
no flags Details
x86_64 support (1.54 KB, patch)
2005-04-18 15:34, Kachalov Anton
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-07-26 19:17:23
fixes for compiling on x86_64 arch
------- Comment #1 From 2004-07-26 19:18:25 -------
Created an attachment (id=525) [details]
a few patches to get compiling on x86_64

FIXME: one patch is needed for compiling with kernel2.6 headers.
------- Comment #2 From 2004-08-02 13:05:11 -------
Расскажи подробнее: 
1. Что это за патч специфичный для 2.6 (ты можешь использовать KERNEL_VERSION) 
2. Почему отключается компиляция некоторых утилит 
2.1 В diff неучтён *readprofile*.patch 
3. Будут ли эти патчи работать на IA-32? 
 
------- Comment #3 From 2005-04-18 15:34:05 -------
Created an attachment (id=822) [details]
x86_64 support

теперь достаточно одного этого патча на спек для сборки (отключение компиляции
stacktest не на %ix86 архитектурах)
------- Comment #4 From 2005-06-03 17:36:36 -------
fixed